<?php
/*
The following code is written in PHP and is distributed under the
terms of the GNU General Public License version 3.
Copyright (C) Michael Besteck, 2007.

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see http://www.gnu.org/licenses/.

*/


/* uncomment for debugging */
/*
ini_set ('error_reporting', E_ALL);
ini_set('display_errors', 1);
*/

/* The UserAgent as reported by the browser, in lower case */
$ualo = strtolower($_SERVER['HTTP_USER_AGENT']);

/* The variable that holds the information about the environment
the RealPlayer videoclip should be presented for. An empty String
means the environment is not detected (missing or uncomplete or
unknown UserAgent or operating system) */
$rpmode='';

/* test for opera under linux */
if(strpos($ualo, 'windows') === false && strpos($ualo, 'opera') !== false) 		$rpmode='operalinux';

/* test for IE or Opera on Windows or Konqueror */
else if(
(strpos($ualo, 'windows') !== false
&& (strpos($ualo, 'msie')!== false || strpos($ualo, 'opera')!== false)
)
|| strpos($ualo, 'konqueror')!==false)
	$rpmode='classid';

/* test for any Gecko based Browser (Mozilla/Firefox/Seamonkey 
under Linux or Windows) */
else if(strpos($ualo, 'gecko') !== false)
	$rpmode='gecko';

/* else $rpmode stays empty -> "default" */


function embedRealPlayerVideo($rpmFilename, $width, $height) {
global $rpmode;

if($rpmode=='operalinux') {
/* only for opera running on Linux */
echo '<embed'."\n";
echo 'TYPE="audio/x-pn-realaudio-plugin"'."\n";
echo 'DATA="'.$rpmFilename.'"'."\n";
echo 'SRC="'.$rpmFilename.'"'."\n";
echo 'WIDTH="'.strval($width).'" HEIGHT="'.strval($height).'"'."\n";
echo 'CONTROLS="ImageWindow,ControlPanel,StatusBar"'."\n";
echo 'AUTOSTART="true"'."\n";
echo 'LOOP="true"'."\n";
echo 'NOLABELS="true"'."\n";
echo 'CENTER="true"'."\n";
echo 'BACKGROUNDCOLOR="#000000">'."\n";
}
else  /* not Opera under Linux */
{
if($rpmode!='gecko') { 
/* default or IE or Opera on Windows or Konqueror */
echo '<object'."\n";
echo 'ID="ImageWindow"'."\n";
echo 'CLASSID="clsid:CFCDAA03-8BE4-11cf-B84B-0020AFBBCCFA"'."\n";
echo 'TYPE="audio/x-pn-realaudio-plugin"'."\n";
echo 'DATA="'.$rpmFilename.'"'."\n";
echo 'WIDTH="'.strval($width).'" HEIGHT="'.strval($height).'">'."\n";
echo '<param name="console" value="main">'."\n";
echo '<param name="src" value="'.$rpmFilename.'">'."\n";
echo '<param name="controls" value="ImageWindow,ControlPanel,StatusBar">'."\n";
echo '<param name="AUTOSTART" value="true">'."\n";
echo '<param name="LOOP" value="true">'."\n";
echo '<param name="NOLABELS" value="true">'."\n";
echo '<param name="CENTER" value="true">'."\n";
echo '<param name="BACKGROUNDCOLOR" value="#000000">'."\n";
}
if($rpmode != 'classid') { 
/* default or Gecko based Browser under Linux or Windows
(Firefox, Netscape, Seamonkey) */
echo '<object'."\n";
echo 'TYPE="audio/x-pn-realaudio-plugin"'."\n";
echo 'DATA="'.$rpmFilename.'"'."\n";
echo 'WIDTH="'.strval($width).'" HEIGHT="'.strval($height).'"'."\n";
echo 'CONTROLS="ImageWindow,ControlPanel,StatusBar"'."\n";
echo 'AUTOSTART="true"'."\n";
echo 'LOOP="true"'."\n";
echo 'NOLABELS="true"'."\n";
echo 'CENTER="true"'."\n";
echo 'BACKGROUNDCOLOR="#000000">'."\n";
echo '</object>'."\n";
}

if($rpmode!='gecko') 
/* default or IE or Opera on Windows or Konqueror */
echo '</object>'."\n";
}
}

function embedFlashVideo($filename, $width, $height) {

echo '<object'."\n";
echo 'classid="clsid:D27CDB6E-AE6D-11cf-96B8-444553540000"'."\n";
echo 'codebase="http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=6,0,40,0"'."\n";
echo 'type="application/x-shockwave-flash"'."\n";
echo 'data="'.$filename.'"'."\n";
echo 'width="'.strval($width).'" height="'.strval($height).'">'."\n";
echo '<param name="movie" VALUE="'.$filename.'">'."\n";
echo '<param name="quality" value="autohigh">'."\n";
echo '<param name="scale" value="default">'."\n";
echo '<param name="play" value="true">'."\n";
echo '<param name="loop" value="true">'."\n";
echo '<param name="menu" value="true">'."\n";
echo '<param name="bgcolor" value="#000000">'."\n";
echo '<embed'."\n";
echo 'src="'.$filename.'"'."\n";
echo 'quality="autohigh"'."\n";
echo 'scale="default"'."\n";
echo 'play="true"'."\n";
echo 'loop="true"'."\n";
echo 'menu="true"'."\n";
echo 'bgcolor="#000000"'."\n";
echo 'width="'.strval($width).'"'."\n";
echo 'height="'.strval($height).'"'."\n";
echo 'type="application/x-shockwave-flash"'."\n";
echo 'pluginspage="http://www.macromedia.com/go/getflashplayer">'."\n";
echo '</object>'."\n";
}


?>
<html>
<head>
<ti>Demo page to embed RealVideo and Flash videoclips</title>
</head>
<body>
<p>This page uses PHP</p>
<p>For playing the RealPlayer videoclip the RealVideoDemoFile.rpm must be adjusted to point to the included bird.rv file.</p>
<p>
<?php if(!isset($_GET['playReal']))
	echo '<a href="RealAndFlashVideoclipEmbedding?playReal">Play a videoclip with RealPlayer</a>'."\n";
else {
echo '<h3>A RealVideo clip</h3>'."\n";
embedRealPlayerVideo('RealVideoDemoFile.rpm', 352, 288);
echo '<br><a href="RealAndFlashVideoclipEmbedding">Close videoclip</a>'."\n";
} ?>
</p>
<p>
<?php if(!isset($_GET['playFlash']))
	echo '<a href="RealAndFlashVideoclipEmbedding?playFlash">Play a videoclip with Flashplayer</a>'."\n";
else {
echo '<h3>A FlashVideo clip</h3>'."\n";
embedFlashVideo('bird.swf', 352, 288);
echo '<br><a href="RealAndFlashVideoclipEmbedding">Close videoclip</a>'."\n";
} ?>
</p>
</body>
</html>
